Search Results for

Show / Hide Table of Contents

# Class FrameView

The FrameView is a container frame that draws a frame around the contents. It is similar to a GroupBox in Windows.

##### Inheritance

System.Object
Responder
View
FrameView
Wizard.WizardStep

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

View.GetMinWidthHeight(Size)
View.SetMinWidthHeight()
View.UpdateTextFormatterText()
View.ProcessResizeView()
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.PositionCursor()
View.OnAdded(View)
View.OnRemoved(View)
View.OnLeave(View)
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.OnDrawContent(Rect)
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.ProcessKey(KeyEvent)
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.ProcessColdKey(KeyEvent)
View.OnKeyDown(KeyEvent)
View.OnKeyUp(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutSubviews()
View.ToString()
View.GetAutoSize()
View.GetHotKeySpecifierLength(Boolean)
View.GetTextFormatterBoundsSize()
View.GetBoundsTextFormatterSize()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.CanFocus
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.ForceValidatePosDim
View.TextFormatter
View.SuperView
View.HasFocus
View.Focused
View.MostFocused
View.ColorScheme
View.AutoSize
View.PreserveTrailingSpaces
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.IsAdded
View.Enabled
View.Visible
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.DrawContent
View.DrawContentComplete
View.KeyPress
View.KeyDown
View.KeyUp
View.LayoutStarted
View.LayoutComplete
View.Initialized
Responder.MouseEvent(MouseEvent)
Responder.Dispose()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class FrameView : View

### Constructors

#### FrameView()

Initializes a new instance of the FrameView class using Computed layout.

##### Declaration

    public FrameView()

#### FrameView(ustring, Border)

Initializes a new instance of the FrameView class using Computed layout.

##### Declaration

    public FrameView(ustring title, Border border = null)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title.
Border | border | The Border.

#### FrameView(Rect, ustring, View[], Border)

Initializes a new instance of the FrameView class using Absolute layout.

##### Declaration

    public FrameView(Rect frame, ustring title = null, View[] views = null, Border border = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | frame | Frame.
NStack.ustring | title | Title.
View[] | views | Views.
Border | border | The Border.

### Properties

#### Border

##### Declaration

    public override Border Border { get; set; }

##### Property Value

Type | Description
--- | ---
Border |

##### Overrides

View.Border

#### Text

The text displayed by the Label.

##### Declaration

    public override ustring Text { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

##### Overrides

View.Text

#### TextAlignment

Controls the text-alignment property of the label, changing it will redisplay the Label.

##### Declaration

    public override TextAlignment TextAlignment { get; set; }

##### Property Value

Type | Description
--- | ---
TextAlignment | The text alignment.

##### Overrides

View.TextAlignment

#### Title

The title to be displayed for this FrameView.

##### Declaration

    public ustring Title { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring | The title.

### Methods

#### Add(View)

Add the specified View to this container.

##### Declaration

    public override void Add(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view | View to add to this container

##### Overrides

View.Add(View)

#### OnCanFocusChanged()

Method invoked when the CanFocus property from a view is changed.

##### Declaration

    public override void OnCanFocusChanged()

##### Overrides

View.OnCanFocusChanged()

#### OnEnter(View)

Method invoked when a view gets focus.

##### Declaration

    public override bool OnEnter(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view | The view that is losing focus.

##### Returns

Type | Description
--- | ---
System.Boolean | `true`, if the event was handled, `false` otherwise.

##### Overrides

View.OnEnter(View)

#### Redraw(Rect)

Redraws this view and its subviews; only redraws the views that have been flagged for a re-display.

##### Declaration

    public override void Redraw(Rect bounds)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | bounds | The bounds (view-relative region) to redraw.

##### Overrides

View.Redraw(Rect)

#### Remove(View)

Removes a View from this container.

##### Declaration

    public override void Remove(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view |

##### Overrides

View.Remove(View)

#### RemoveAll()

Removes all Views from this container.

##### Declaration

    public override void RemoveAll()

##### Overrides

View.RemoveAll()

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize